# OtterSpace SDK

The OtterSpace SDK is a Go package for interacting with the OtterSpace API. It provides methods for connecting to the API, adding and linking users, posts, and sources, and retrieving information about users and posts.

## Installation

To install the OtterSpace SDK, you can use `go get`:

```shell
go get git.dragse.it/anthrove/otter-space-sdk
````
## Usage

Here's a simple usage example:

```go
package main

import (
    "context"
    "fmt"
    "git.dragse.it/anthrove/otter-space-sdk/pkg/models"
    "git.dragse.it/anthrove/otter-space-sdk/pkg/graph"
)

func main() {
    client := graph.NewGraphConnection()
    err := client.Connect(context.Background(), "your-endpoint", "your-username", "your-password")
    if err != nil {
        fmt.Println(err)
        return
    }
    // further usage of the client...
}
```

This example creates a new client, connects to the OtterSpace API, and then the client can be used to interact with the API.
